Bug 29115 - 'ln -sr' always dereference target
: 'ln -sr' always dereference target
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/coreutils)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-06-26 20:55 by
Modified: 2017-10-28 04:33 (History)


Attachments
fix 'ln --relative' for no dereference target by default (606 bytes, patch)
2013-06-26 20:55, led@altlinux.org
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-06-26 20:55:32
Created an attachment (id=5860) [details]
fix 'ln --relative' for no dereference target by default

$ ln -sr /etc/X11/lib64/libGL.so.1 /tmp/libGL.so.1
$ readlink /tmp/libGL.so.1
../usr/lib64/X11/libGL.so.1.2

что вовсе не то, предполагалось.
Т.е. '-r' всегда работает, как будто присутсвует '-L'

Приложенный патч вроде бы решает это, делая dereference для target только если
указан '-L'
------- Comment #1 From 2013-07-09 20:35:27 -------
ping
------- Comment #2 From 2013-07-18 04:04:16 -------
I forwarded this to coreutils mailing list and received a reply:
http://lists.gnu.org/archive/html/coreutils/2013-07/msg00053.html

In short, the issue was already discussed at
http://lists.gnu.org/archive/html/coreutils/2012-02/msg00167.html,
"ln -rs" is not going to change anyway, and even the change to "ln -Prs" is
unlikely to be accepted because of ambiguity.

For greater control, they suggest using realpath(1) in conjunction with ln(1)
without -r.
------- Comment #3 From 2017-10-28 04:33:36 -------
wontfix upstream